Contribution Guidelines
=======================

First of all, each single contribution is appreciated, whether a typo fix,
improved documentation, a fixed bug or a whole new feature.

## Making your changes

 1. Fork the repository on GitHub
 2. Create a topic branch with a descriptive name, e.g. `fix-issue-123` or
    `feature-x`
 3. Make your modifications, complying with the
    [code conventions](#code-conventions)
 4. Commit small logical changes, each with a descriptive commit message.
    Please don˚t mix unrelated changes in a single commit.
 5. Don˚t commit things that are unrelated to the whole change.

## Commit messages

Please format your commit messages as follows:

    Short summary of the change (up to 50 characters)

    Optionally add a more extensive description of your change after a
    blank line. Wrap the lines in this and the following paragraphs after
    72 characters.

## Submitting your changes

 1. Push your changes to a topic branch in your fork of the repository.
 2. [Submit a pull request][pr] to the original repository.
    Describe your changes as short as possible, but as detailed as needed for
    others to get an overview of your modifications.

## Code conventions

 * White spaces:
   * Indent using 2 spaces
   * Line endings must be line feeds (\n)
   * Add a newline at the end of a file
 * Name conventions:
   * `UpperCamelCase` for classes and modules
   * `lower_case` for variables and methods
   * `UPPER_CASE` for constants

## Further information

 * [General GitHub documentation][gh-help]
 * [GitHub pull request documentation][gh-pr]

 [gh-help]: https://help.github.com
 [gh-pr]:   https://help.github.com/send-pull-requests
 [pr]:      https://github.com/koraktor/gallerist/pull/new
